#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# Matrix Class

Defined in: `src/pixi/core/Matrix.js:5`
Module: PIXI

The Matrix class is now an object, which makes it a lot faster, here is a representation of it : | a | b | tx| | c | d | ty| | 0 | 0 | 1 |

## Constructor

### `Matrix`

()

Defined in `src/pixi/core/Matrix.js:5`

- Index
- Methods

## Item Index

### Methods

- fromArray
- toArray

## Methods

### `fromArray`

(

- `array`

)

Defined in `src/pixi/core/Matrix.js:25`

Creates a pixi matrix object based on the array given as a parameter

#### Parameters:

- `array` Array

  The array that the matrix will be filled with

### `toArray`

(

- `transpose`

)
Array

Defined in `src/pixi/core/Matrix.js:41`

Creates an array from the current Matrix object

#### Parameters:

- `transpose` Boolean

  Whether we need to transpose the matrix or not

#### Returns:

Array:

the newly created array which contains the matrix